Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153777 - nfs: server not responding, still trying.. server OK
Summary: nfs: server not responding, still trying.. server OK
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 20:03 UTC by Ivan Olvera
Modified: 2008-02-07 15:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-07 15:06:49 UTC


Attachments (Terms of Use)

Description Ivan Olvera 2005-04-05 20:03:16 UTC
Description of problem:

nfs: server not responding, still trying.. server OK
 I THING THE COMPONENT IS NFS SERVER  BUT I COULDN'T CHOOSE THIS , ALSO IT'S
SIMILAR TO BUG 126598 
Version-Release number of selected component (if applicable):

 2.6.10-1.770_FC3smp #1 SMP Thu Feb 24 14:20:06 EST 2005 i686 i686 i386 GNU/Linux

How reproducible:
sTART nfs sERVER WITH THIN CLIENTS 

Steps to Reproduce:
1.START THIN CLIENTS
2.START PACKET CAPTURED 
3.SEE PACKETS CAPTURE
  
Actual results:


when starting doing the pivot to root system , the client ask  by NFS
protocol for  RPC  Access CAll FH: 0x3d74bff4

the server respond the RCP  accepted BUT THE UDP PACKET DON'T HAVE
CORRECT CHECKSUM  SO THE PACKET IS DISCARD

then the client send again and again the same RCP Access CALL , the
server respond every time  but the client discard packets because the
checksum is not correct.
also
the network file system  make a lookup CALL to DH 0xc17cbff4  it is
type of Linux knfsd (new )

the server accept the procedure but  again the UDP packet  have bad checksum

ALSO WITH TCP PACKETS  THE SERVER SEND BAD PACKETS 

THE SERVER AND CLIENT ARE IN A HUG WITH SAME SPEED 100 MBPS 


Expected results:
SEND CORRECT PACKETS TO AVOID THE CLIENT DISCARD THEM  

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:49:25 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-07 15:06:49 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.